Bug 125798 - [new port] www/drupal6-advanced_help
Summary: [new port] www/drupal6-advanced_help
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-20 12:00 UTC by Eygene Ryabinkin
Modified: 2013-03-17 04:34 UTC (History)
0 users

See Also:


Attachments
drupal6-advanced_help.new-port.patch (2.64 KB, patch)
2008-07-20 12:00 UTC, Eygene Ryabinkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2008-07-20 12:00:04 UTC
There is no port for the Drupal module advanced_help.  It seems
that this new module will gain popularity, since it provides unified
interface to the help topics for Drupal modules.  For example,
Drupal module views 2.0 requires this module to display its help.

Fix: The following patch will add the required port.  It was tested with
drupal6-views port on my Drupal 6 installation for a couple of days.
How-To-Repeat: 
ls -ld /usr/ports/www/drupal6-advanced_help
Comment 1 Edwin Groothuis freebsd_committer 2008-07-20 12:00:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-08-19 15:52:18 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2008-08-19 15:52:43 UTC
miwi        2008-08-19 14:52:34 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/drupal6-advanced_help Makefile distinfo pkg-descr 
  Log:
  The advanced help module allows module developers to store their
  help outside the module system, in pure .html files. The files can
  be easily translated simply by copying them into the right translations
  directory. The entire system can appear in a popup or not as the
  module prefers (and by taking away access to view the popups, a
  site can force the popups to not exist).
  
  The system ties into Drupal's search system and is fully indexed,
  so the entire contents can be searched for keywords. the help files
  can be placed in a hierarchy as well, allowing for top down navigation
  of the help.
  
  WWW: http://drupal.org/project/advanced_help
  
  PR:             ports/125798
  Submitted by:   Eygene Ryabinkin <rea-fbsd at codelabs.ru>
  
  Revision  Changes    Path
  1.2128    +1 -0      ports/www/Makefile
  1.1       +38 -0     ports/www/drupal6-advanced_help/Makefile (new)
  1.1       +3 -0      ports/www/drupal6-advanced_help/distinfo (new)
  1.1       +14 -0     ports/www/drupal6-advanced_help/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"